cURL
curl --request GET \
--url https://api-staging.smatvirtual.com/api/v1.1/operator-api/games \
--header 'sv-api-key: <api-key>'import requests
url = "https://api-staging.smatvirtual.com/api/v1.1/operator-api/games"
headers = {"sv-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'sv-api-key': '<api-key>'}};
fetch('https://api-staging.smatvirtual.com/api/v1.1/operator-api/games', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"name": "<string>",
"releaseDate": "<string>",
"baseLaunchUrl": "<string>",
"category": 123,
"id": "<string>",
"imageUrl": "<string>"
}
],
"meta": {
"currentPage": 1,
"limit": 1,
"nextPage": 1,
"prevPage": 1,
"totalElements": 1,
"totalPage": 1
}
}Endpoints
Get Games List
GET
/
api
/
v1.1
/
operator-api
/
games
cURL
Authorizations
Query Parameters
Number of items per page
Required range:
x >= 1Example:
10
Page number
Required range:
x >= 1Example:
1
Field to sort by
Example:
"name"
Sort order
Available options:
ASC, DESC Example:
"ASC"
Search query
Example:
"example"
Fields to search in
Example:
["name", "description"]
Was this page helpful?
⌘I
